#
# Copyright (c) 2017 Brook Milligan.
#
# This file is part of the GraphModel Library.
#
#     The GraphModel Library is free software: you can redistribute it
#     and/or modify it under the terms of the GNU General Public
#     License as published by the Free Software Foundation, either
#     version 3 of the License, or (at your option) any later version.
#
#     The GraphModel Library is distributed in the hope that it will
#     be useful, but WITHOUT ANY WARRANTY; without even the implied
#     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#     See the GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public
#     License along with the GraphModel Library.  If not, see
#     <http://www.gnu.org/licenses/>.
#

filename <- 'samples.dat'

sample.size <- 10
p <- 0.5

data <- data.frame(samples=rbinom(n=sample.size,size=1,prob=p))
write.table(data,filename,quote=FALSE,sep="\t",row.names=FALSE)

str(data)
summary(data)
print(paste('samples:',sample.size))
print(paste('mean:',mean(data$samples)))
print(paste('var:',var(data$samples)))
print(paste('sd:',sd(data$samples)))
